<nav class="navbar navbar-expand-lg navbar-dark bg-soaint">
  
      <a class="navbar-brand" href="#"><i class="fas fa-globe-americas"></i> SOAINT </a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
      </button>
      
      <div class="collapse navbar-collapse nav navbar-letra justify-content-end" id="navbarSupportedContent">
          <ul class="navbar-nav pull-xs-right">
          <li class="nav-item active">
              <a class="nav-link" [routerLink]="['/login']">Login&nbsp;&nbsp;<i class="fas fa-sign-in-alt"></i></a>
          </li>
          </ul>          
      </div>
  
</nav>

    
<div class="container card mt-4 mb-2 py-0 tarjeta">
    <div class="row">
        <div class="col-md-3 px-4 mt-4 mb-3">
            <h3 class="fas fa-user"><b>&nbsp;&nbsp;Aspirante</b> </h3>
        </div>
        <div class="input-group px-5 offset-md-4 col-md-5 mt-4 mb-4">
            <input type="text" class="form-control" name ="dni" placeholder="Ingrese su Cédula" aria-label="" #dni aria-describedby="basic-addon1">
            <div class="input-group-append">
                <button class="btn" style="background:#006595; color:white" disabled="true"><i class="fas fa-search"></i></button>
            </div>
        </div>
    </div>
    
        
        <div class="row">
            <div class="col-md-12 mt-2">
                    <hr>
                <div id="wizard" class="form_wizard wizard_horizontal">
                    <ul class="wizard_steps anchor">
                        <li class="uno">
                        <a [routerLink]="['/aspirante']" class="selected" isdone="0" rel="1">
                            <span class="step_no"><i class="fa fa-user"></i></span>
                            <span class="step_descr">
                                <small>"Datos Básicos"</small>
                            </span>
                        </a>
                        </li>
                        <li class="dos">
                        <a [routerLink]="['/aspirante/datosacademicos', id_candidato]" class="done" isdone="1" rel="2">
                            <span class="step_no"><i class="fas fa-graduation-cap"></i></span>
                            <span class="step_descr">
                            <small>"Datos Acádemicos"</small>
                            </span>
                        </a>
                        </li>
                        <li class="tres">
                        <a [routerLink]="['/aspirante/datoslaborales' , id_candidato]" class="selected" isdone="0" rel="3">
                            <span class="step_no"><i class="fas fa-briefcase"></i></span>
                            <span class="step_descr">
                            <small>"Datos Laborales"</small>
                            </span>
                        </a>
                        </li>
                        <li class="cuatro">
                        <a [routerLink]="['/aspirante/habilidades', id_candidato]" class="selected" isdone="0" rel="4">
                            <span class="step_no"><i class="fas fa-star"></i></span>
                            <span class="step_descr">
                            <small>"Habilidades"</small>
                            </span>
                        </a>
                        </li>
                        <li class="cinco">
                        <a [routerLink]="['/aspirante/archivos', id_candidato]" class="selected" isdone="0" rel="5">
                            <span class="step_no"><i class="fas fa-archive"></i></span>
                            <span class="step_descr">
                            <small>"Archivos"</small>
                            </span>
                        </a>
                        </li>
                    </ul>
                    
                    <div class="stepContainer" style="height:450px;">
                        <div id="step-1" class="content" style="display: block;">
                            
                                <div class="container">
                                    <h4>Datos Acádemicos</h4>
                                </div>
                                <div class="row">
                                    <div class="col-md-2"></div>
                                
                                    <div class="col-md-8">
                                        <div class="alert alert-success" *ngIf="status == 'success' ">{{ message | titlecase }}</div>
                                        <div class="alert alert-danger" *ngIf="status == 'error' ">{{ message | titlecase }}</div>
                                
                                        <form #datosacademicosForm="ngForm" (ngSubmit)="onSubmit(datosacademicosForm)" method="POST" action="/aspirante/datosacademicos">
                                
                                            <div class="form-row">
                                                <input type="hidden" name="id_candidato" class="form-control" 
                                                        [(ngModel)]="datosacademicos.id_candidato" [value]="id_candidato"
                                                        required>
                                            </div>
                                
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="tipo_estudio">Tipo de Estudio</label>
                                                    <div *ngIf="tipo_estudio==null">Cargando...</div>
                                                        <select class="form-control" name="tipo_estudio"
                                                        [(ngModel)]="datosacademicos.tipo_estudio">
                                                            <option value="null">Seleccione...</option>  
                                                            <option *ngFor="let tipo_estudio of tipo_estudio" value="{{ tipo_estudio.id_tipo_estudio }}">{{ tipo_estudio.descripcion | titlecase }}</option>                         
                                                        </select>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label for="pais">País</label>
                                                    <div *ngIf="pais==null">Cargando...</div>
                                                        <select class="form-control" name="pais"
                                                        [(ngModel)]="datosacademicos.pais">
                                                            <option value="null">Seleccione...</option>  
                                                            <option *ngFor="let pais of pais" value="{{ pais.id_pais }}">{{ pais.descripcion | titlecase }}</option>                         
                                                        </select>
                                                </div>
                                            </div>

                                            <div class="form-row">
                                                <div class="form-group col-md-12">
                                                    <label>Institución</label>
                                                    <input type="institucion" name="institucion" class="form-control" placeholder="Institucion"
                                                        [(ngModel)]="datosacademicos.institucion" 
                                                        required>
                                                </div>
                                            </div>                                
                                            <div class="datos-fin">
                                                <ul>
                                                    <!--<input type="submit" class="btn som" style="background:#006595; color:white" value="Guardar"/>-->
                                                    <button  class="btn som" style="color:white; background:#006595" value="Aceptar" [disabled]="!datosacademicosForm.form.valid">
                                                        <i class="far fa-save"></i>&nbsp;Guardar
                                                    </button>
                                                    <a class="nav-link align-right" [routerLink]="['/aspirante/datoslaborales' , id_candidato]">Next&nbsp;&nbsp;<i class="fas fa-forward"></i></a>
                                                </ul>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="col-md-2"></div>
                                </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
</div>

<div *ngIf="show">
    <div class="btn-group margen margen som" role="group" aria-label="Basic example">
        <button class="text-center som" type="button" style="background:#006595" class="btn btn-outline-light Cita" data-toggle="modal" [attr.data-target]="'#Modal-'+id_candidato">
            <i class="fas fa-graduation-cap"></i>&nbsp;Datos Acádemicos Registrados
        </button>
    </div>
</div>
    
<!--Modal-->
<div *ngFor="let datos of verAcademicos">
    <div class="modal" [attr.id]="'Modal-'+id_candidato" tabindex="-1" role="dialog" [attr.aria-labelledby]="id_candidato" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" [attr.id]="id_candidato">Datos Acádemicos Registrados</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <table class="table table-striped table-bordered table-sm table-hover border-primary">
                <thead>
                    <th class="text-center">Institución</th>
                    <th class="text-center">Título Obtenido</th>
                </thead>
                <tbody>
                    <tr *ngFor="let datos of verAcademicos">
                        <td>{{ datos.institucion }}</td> 
                        <td>{{ datos.estudio | titlecase }}</td>
                    </tr>
                </tbody>
            </table>
        </div>
        </div>
    </div>
    </div>
</div> 
        
<!-- Fin Modal -->


